Login  |  Packages  |  Support  |  Bugs
Top Level :: Database :: oci8 :: 3.2.0

oci8 3.2.0

Package Information
Summary Extension for Oracle Database
Maintainers Christopher Jones < christopher dot jones at oracle dot com > (lead) [details]
Wez Furlong < wez at php dot net > (lead) [details]
Tianfang Yang < tianfang dot yang at oracle dot com > (lead) [details]
Antony Dovgal (lead) [wishlist] [details]
Andi Gutmans < andi at zend dot com > (lead) [details]
License PHP
Description The OCI8 extension lets you access Oracle Database.

Use 'pecl install oci8' to install for PHP 8.1.

Use 'pecl install oci8-3.0.1' to install for PHP 8.0.

Use 'pecl install oci8-2.2.0' to install for PHP 7.

Use 'pecl install oci8-2.0.12' to install for PHP 5.2 - PHP 5.6.

Use 'pecl install oci8-1.4.10' to install for PHP 4.3.9 - PHP 5.1.

The current OCI8 extension can be linked with Oracle Client libraries from Oracle Database 11.2 or later. (OCI8 3.0 and earlier can be linked with 10g or later). The Oracle Client libraries are in the free Oracle Instant Client from https://www.oracle.com/database/technologies/instant-client.html. They are also included in your database installation.

Oracle's standard cross-version connectivity applies. For example, PHP OCI8 linked with Oracle Client 19c can connect to Oracle Database 11.2 onward. See Oracle's note "Oracle Client / Server Interoperability Support" (ID 207303.1) for details.
Release notes
Version 3.2.0
(stable)
This version is for PHP 8.1 only.

Added oci8.prefetch_lob_size directive and oci_set_prefetch_lob() function to improve LOB query performance.

[ Latest Tarball ] [ Changelog ] [ View Statistics ]
[ Browse Source ] [ Package Bugs ] [ View Documentation ]

Dependencies for release 3.2.0
PHP Version: PHP 8.1.0 or newer
PEAR Package: PEAR 1.4.0b1 or newer
PRIVACY POLICY  |  CREDITS
Copyright © 2001-2022 The PHP Group
All rights reserved.
Last updated: Mon Jun 01 07:05:01 2020 UTC
Bandwidth and hardware provided by: pair Networks